**Source URL:** https://general.veevavault.dev/medical/vault-api/api-reference/26.1/binders/export-binders/export-binder-version.md

# Export Binder Version



Use this request to export a specific version of a binder in your Vault. This request exports the complete binder, including all binder sections, document metadata, and source files. The version binding rule configured for the binder, section, or binder document determines which document versions are exported. Learn more about [exporting binders in Vault Help](https://platform.veevavault.help/en/gr/29681).

<Endpoint path="/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/actions/export" method="POST"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{binder_id}` | The binder `id` field value. |
| `{major_version}` | The binder `major_version_number__v` field value. |
| `{minor_version}` | The binder `minor_version_number__v` field value. |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `source` | Set to `false` to exclude source files from the export. If omitted, this defaults to `true` and the export will include source files. |
| `renditiontype` | To include renditions in the export, add the parameter `renditiontype={rendition_type}` to the request endpoint. Rendition types may vary depending on your Vault’s configuration. Valid rendition types include:`viewable_rendition__v``imported_rendition__c``audio_rendition__v``unmodified_source__sys` |
| `name` | To define a document naming rule, which is the document field to use for naming exported files, add the parameter `name={field}` to the request endpoint. If omitted, defaults to `name__v`. Valid document field values include:`name__v``document_number__v``export_filename__v``title__v` |
| `docversion` | To override the binding rule and export all major versions of each document in the binder, add the parameter `docversion=major` to the request endpoint. To override the binding rule and export all major and minor versions of each document, add the parameter `docversion=major_minor` to the request endpoint. |
| `attachments` | To export binder attachments, include the parameter `attachments=all` to export all versions of all attachments or `attachments=latest` to export the latest version of all attachments. |
| `docfield` | Set to `false` to exclude document metadata from the export. If omitted, this defaults to `true` and the export will include document metadata. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.3/objects/binders/1701/versions/0/1/actions/export?source=true

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseMessage": "Job for Binder Export Started",
    "URL": "https://myvault.veevavault.com/api/v25.3/services/jobs/1021404",
    "job_id": 1021404
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes the following information:

* `url` - The URL to retrieve the current status of the binder export job.

* `job_id` - The Job ID value is used to retrieve the [status](/vault-api/api-reference/26.1/jobs/retrieve-job-status) and results of the binder export request.



---

**Previous:** [Export Binder](/medical/vault-api/api-reference/26.1/binders/export-binders/export-binder)  
**Next:** [Export Binder Sections](/medical/vault-api/api-reference/26.1/binders/export-binders/export-binder-sections)